./devel/ruby-stream, Interface for external iterators

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.5nb2, Package name: ruby23-stream-0.5nb2, Maintainer: minskim

Module Stream defines an interface for external iterators. A stream
can be seen as an iterator on a sequence of objects x1, ..., xn. The
state of the stream is uniquely determined by the following methods:
at_beginning?, at_end?, current, and peek. State changes are done
with the following operations: set_to_begin, set_to_end, forward, and
backward.


Required to run:
[lang/ruby23-base]

Required to build:
[pkgtools/cwrappers]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2017-09-04 20:01:05 by Thomas Klausner | Files touched by this commit (192)
Log message:
Comment out dead sites.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2013-07-07 18:02:42 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Previous distfile wasn't really gem format file and now real gem file
can be fetched.  So, add  DIST_SUBDIR and bump PKGREVISION.
   2011-08-12 18:37:05 by Takahiro Kambe | Files touched by this commit (2)
Log message:
No need to patch gemspec since newer rubygems handles gracefully.
   2011-04-01 16:16:56 by Takahiro Kambe | Files touched by this commit (2)
Log message:
Fix more gemspec format.  Fix build problem with ruby19-base.
   2010-09-26 14:14:22 by Takahiro Kambe | Files touched by this commit (2)
Log message:
Fix gemspec syntax to fix build problem with ruby19.
Ruby 1.8's gem (misc/rubygems) contains a patch to allow such a wrong
syntax of gemspec.  (I don't think this patch is a good idea now.)

Noted by joerg@ via private mail.
   2010-09-10 08:28:44 by Takahiro Kambe | Files touched by this commit (4)
Log message:
* Use lang/ruby/gem.mk instead of misc/rubygems/rubygem.mk.
* Ajust new ruby package's framework.
   2009-07-12 21:51:16 by Min Sik Kim | Files touched by this commit (1)
Log message:
Make sure that a .orig file is not installed.

Noted by Hasso Tepper.